package com.ccwangluo.ccim.modle;

import com.xuhao.didi.core.protocol.IReaderProtocol;

import java.nio.ByteOrder;

public class MyIReaderProtocol implements IReaderProtocol {
    @Override
    public int getHeaderLength() {
        return 4;
    }
    public static int toUnsignedInt(byte x) {
        return ((int) x) & 0xff;
    }

    @Override
    public int getBodyLength(byte[] header, ByteOrder byteOrder) {
        int value = toUnsignedInt(header[3]);
        value |= toUnsignedInt((byte) (header[2] << 8));
        value |= toUnsignedInt((byte) (header[1] << 16));
        value |= toUnsignedInt((byte) (header[0] << 24));
        return value;
    }
}
