package com.ccwangluo.ccim.modle;

import com.xuhao.didi.core.iocore.interfaces.IPulseSendable;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public class PulseData implements IPulseSendable {

    private final byte[] body;
    public PulseData(byte[] body){
        this.body = body;
    }

    @Override
    public byte[] parse() {
        ByteBuffer bb = ByteBuffer.allocate(4 + body.length);
        bb.order(ByteOrder.BIG_ENDIAN);
        bb.putInt(body.length);
        bb.put(body);
        return bb.array();
    }
}
